Parte: Sfera

    From FreeCAD Documentation
    This page is a translated version of the page Part Sphere and the translation is 4% complete.
    Outdated translations are marked like this.

    Part Sphere.svg Sfera

    Posizione nel menu
    Parte → Sfera
    Ambiente
    Parte
    Avvio veloce
    Nessuno
    Introdotto nella versione
    -
    Vedere anche
    Crea Primitive...

    Description

    Descrizione

    Crea una sfera parametrica con i parametri posizione, angolo1, angolo2, anglo3 e raggio.

    A Part Sphere can be truncated at the top and/or bottom by changing its DatiAngle1 and/or DatiAngle2 properties. It can be turned into a segment of a sphere by changing its DatiAngle3 property.

    Part Sphere Example.png

    Usage

    Utilizzo

    Nell'ambiente Part cliccare sull'icona della sfera Part Sphere.svg. La sfera viene creata nell'origine (punto 0,0,0). I parametri degli angoli consentono di creare una porzione di sfera invece di una sfera intera (sono predefiniti a 360 °).

    Example

    Part Sphere from the scripting example

    A Part Sphere object created with the scripting example below is shown here.

    Notes

    • A Part Sphere can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

    Opzioni

    See also: Property editor.

    A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

    Data

    Attachment

    The object has the same attachment properties as a Part Part2DObject.

    Sphere

    • DatiRadius (Length): The radius of the sphere. The default is 5mm.
    • DatiAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatiAngle2. The default is -90°.
    • DatiAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatiAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
    • DatiAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

    Scripting

    See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

    A Part Sphere can be created with the addObject() method of the document:

    sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
    
    • Where "mySphere" is the name for the object.
    • The function returns the newly created object.

    Example:

    import FreeCAD as App
    
    doc = App.activeDocument()
    
    sphere = doc.addObject("Part::Sphere", "mySphere")
    sphere.Radius = 20
    sphere.Angle1 = -30
    sphere.Angle2 = 45
    sphere.Angle3 = 90
    sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))
    
    doc.recompute()